%define _distrib_milestone %(echo %_distrib_codename | cut -d- -f1)
Name:          claws-mail
Version:       3.17.8
Release:       1mamba
Summary:       An email client (and news reader)
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.claws-mail.org/index.php
Source:        http://www.claws-mail.org/releases/claws-mail-%{version}.tar.xz
#https://downloads.sourceforge.net/project/claws-mail/Claws%20Mail/%{version}/claws-mail-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libarchive-devel
BuildRequires: libassuan-devel
BuildRequires: libatk-devel
BuildRequires: libattr-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcanberra-devel
BuildRequires: libcurl-devel
BuildRequires: libdb53-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libenchant-devel
BuildRequires: libetpan-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdata-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libICE-devel
BuildRequires: libicu-devel
BuildRequires: liblzma-devel
BuildRequires: libnotify-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
%ifarch %{ix86}
BuildRequires: libpilot-link-devel
%endif
BuildRequires: libpng-devel
BuildRequires: libpoppler-glib-devel
BuildRequires: libpython-devel
BuildRequires: libsasl-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwebkit-gtk-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: libsignon-glib >= 2.1
## AUTOBUILDREQ-END
%if "%{_distrib_milestone}" == "milestone2"
BuildRequires: gnome-desktop-devel
#% else
#BuildRequires: gnome-desktop2-devel
%endif
BuildRequires: libetpan-devel
Provides:      claws-mail-plugin-fancy
Obsoletes:     claws-mail-plugin-fancy
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An email client (and news reader), based on GTK+.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
echo %_distrib_milestone

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/claws-mail
%dir %{_libdir}/claws-mail
%dir %{_libdir}/claws-mail/plugins
%{_libdir}/claws-mail/plugins/acpi_notifier.a
%{_libdir}/claws-mail/plugins/acpi_notifier.la
%{_libdir}/claws-mail/plugins/acpi_notifier.so
%{_libdir}/claws-mail/plugins/address_keeper.a
%{_libdir}/claws-mail/plugins/address_keeper.la
%{_libdir}/claws-mail/plugins/address_keeper.so
%{_libdir}/claws-mail/plugins/archive.a
%{_libdir}/claws-mail/plugins/archive.la
%{_libdir}/claws-mail/plugins/archive.so
%{_libdir}/claws-mail/plugins/att_remover.a
%{_libdir}/claws-mail/plugins/att_remover.la
%{_libdir}/claws-mail/plugins/att_remover.so
%{_libdir}/claws-mail/plugins/attachwarner.a
%{_libdir}/claws-mail/plugins/attachwarner.la
%{_libdir}/claws-mail/plugins/attachwarner.so
%{_libdir}/claws-mail/plugins/bogofilter.a
%{_libdir}/claws-mail/plugins/bogofilter.la
%{_libdir}/claws-mail/plugins/bogofilter.so
%{_libdir}/claws-mail/plugins/bsfilter.a
%{_libdir}/claws-mail/plugins/bsfilter.la
%{_libdir}/claws-mail/plugins/bsfilter.so
%{_libdir}/claws-mail/plugins/clamd.a
%{_libdir}/claws-mail/plugins/clamd.la
%{_libdir}/claws-mail/plugins/clamd.so
%{_libdir}/claws-mail/plugins/dillo.a
%{_libdir}/claws-mail/plugins/dillo.la
%{_libdir}/claws-mail/plugins/dillo.so
#%{_libdir}/claws-mail/plugins/fancy.a
#%{_libdir}/claws-mail/plugins/fancy.la
#%{_libdir}/claws-mail/plugins/fancy.so
%{_libdir}/claws-mail/plugins/fetchinfo.a
%{_libdir}/claws-mail/plugins/fetchinfo.la
%{_libdir}/claws-mail/plugins/fetchinfo.so
%{_libdir}/claws-mail/plugins/gdata.a
%{_libdir}/claws-mail/plugins/gdata.la
%{_libdir}/claws-mail/plugins/gdata.so
%{_libdir}/claws-mail/plugins/libravatar.a
%{_libdir}/claws-mail/plugins/libravatar.la
%{_libdir}/claws-mail/plugins/libravatar.so
%{_libdir}/claws-mail/plugins/mailmbox.a
%{_libdir}/claws-mail/plugins/mailmbox.la
%{_libdir}/claws-mail/plugins/mailmbox.so
%{_libdir}/claws-mail/plugins/managesieve.a
%{_libdir}/claws-mail/plugins/managesieve.la
%{_libdir}/claws-mail/plugins/managesieve.so
%{_libdir}/claws-mail/plugins/newmail.a
%{_libdir}/claws-mail/plugins/newmail.la
%{_libdir}/claws-mail/plugins/newmail.so
%{_libdir}/claws-mail/plugins/notification.a
%{_libdir}/claws-mail/plugins/notification.la
%{_libdir}/claws-mail/plugins/notification.so
%{_libdir}/claws-mail/plugins/pdf_viewer.a
%{_libdir}/claws-mail/plugins/pdf_viewer.la
%{_libdir}/claws-mail/plugins/pdf_viewer.so
%{_libdir}/claws-mail/plugins/perl.a
%{_libdir}/claws-mail/plugins/perl.la
%{_libdir}/claws-mail/plugins/perl.so
%{_libdir}/claws-mail/plugins/pgpcore.a
%{_libdir}/claws-mail/plugins/pgpcore.la
%{_libdir}/claws-mail/plugins/pgpcore.so
%{_libdir}/claws-mail/plugins/pgpinline.a
%{_libdir}/claws-mail/plugins/pgpinline.deps
%{_libdir}/claws-mail/plugins/pgpinline.la
%{_libdir}/claws-mail/plugins/pgpinline.so
%{_libdir}/claws-mail/plugins/pgpmime.a
%{_libdir}/claws-mail/plugins/pgpmime.deps
%{_libdir}/claws-mail/plugins/pgpmime.la
%{_libdir}/claws-mail/plugins/pgpmime.so
%{_libdir}/claws-mail/plugins/python.a
%{_libdir}/claws-mail/plugins/python.la
%{_libdir}/claws-mail/plugins/python.so
%{_libdir}/claws-mail/plugins/rssyl.a
%{_libdir}/claws-mail/plugins/rssyl.la
%{_libdir}/claws-mail/plugins/rssyl.so
%{_libdir}/claws-mail/plugins/smime.a
%{_libdir}/claws-mail/plugins/smime.deps
%{_libdir}/claws-mail/plugins/smime.la
%{_libdir}/claws-mail/plugins/smime.so
%{_libdir}/claws-mail/plugins/spamassassin.a
%{_libdir}/claws-mail/plugins/spamassassin.la
%{_libdir}/claws-mail/plugins/spamassassin.so
%{_libdir}/claws-mail/plugins/spamreport.a
%{_libdir}/claws-mail/plugins/spamreport.la
%{_libdir}/claws-mail/plugins/spamreport.so
%{_libdir}/claws-mail/plugins/tnef_parse.a
%{_libdir}/claws-mail/plugins/tnef_parse.la
%{_libdir}/claws-mail/plugins/tnef_parse.so
%{_libdir}/claws-mail/plugins/vcalendar.a
%{_libdir}/claws-mail/plugins/vcalendar.la
%{_libdir}/claws-mail/plugins/vcalendar.so
#%{_libdir}/claws-mail/plugins/trayicon.a
#%{_libdir}/claws-mail/plugins/trayicon.la
#%{_libdir}/claws-mail/plugins/trayicon.so
#%{_datadir}/appdata/claws-mail.appdata.xml
%{_datadir}/applications/claws-mail.desktop
%dir %{_datadir}/doc/claws-mail
%{_datadir}/doc/claws-mail/RELEASE_NOTES
%dir %{_datadir}/doc/claws-mail/manual
%{_datadir}/doc/claws-mail/manual/*/claws-mail-manual.html
%{_datadir}/doc/claws-mail/manual/*/claws-mail-manual.pdf
%{_datadir}/doc/claws-mail/manual/*/claws-mail-manual.ps
%{_datadir}/doc/claws-mail/manual/*/claws-mail-manual.txt
%{_datadir}/icons/hicolor/*/apps/claws-mail.png
%{_mandir}/man1/claws-mail.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/claws-mail
%{_includedir}/claws-mail/*
%{_libdir}/pkgconfig/claws-mail.pc

%changelog
* Mon Oct 19 2020 Automatic Build System <autodist@mambasoft.it> 3.17.8-1mamba
- automatic version update by autodist

* Tue Sep 29 2020 Automatic Build System <autodist@mambasoft.it> 3.17.7-1mamba
- automatic version update by autodist

* Sat Jul 18 2020 Automatic Build System <autodist@mambasoft.it> 3.17.6-1mamba
- automatic version update by autodist

* Mon Feb 24 2020 Automatic Build System <autodist@mambasoft.it> 3.17.5-1mamba
- automatic version update by autodist

* Wed Nov 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.17.4-2mamba
- rebuilt with libsignon-glib 2.1

* Wed Jul 31 2019 Automatic Build System <autodist@mambasoft.it> 3.17.4-1mamba
- automatic version update by autodist

* Tue Dec 25 2018 Automatic Build System <autodist@mambasoft.it> 3.17.3-1mamba
- automatic version update by autodist

* Wed Dec 19 2018 Automatic Build System <autodist@mambasoft.it> 3.17.2-1mamba
- automatic version update by autodist

* Wed Aug 29 2018 Automatic Build System <autodist@mambasoft.it> 3.17.1-1mamba
- automatic version update by autodist

* Fri Aug 17 2018 Automatic Build System <autodist@mambasoft.it> 3.17.0-1mamba
- automatic version update by autodist

* Tue Dec 19 2017 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic update by autodist

* Sat Sep 02 2017 Automatic Build System <autodist@mambasoft.it> 3.15.1-1mamba
- automatic version update by autodist

* Sat Jun 17 2017 Automatic Build System <autodist@mambasoft.it> 3.15.0-1mamba
- automatic version update by autodist

* Sun Nov 06 2016 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Sat Aug 13 2016 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Tue Jan 19 2016 Automatic Build System <autodist@mambasoft.it> 3.13.2-1mamba
- automatic version update by autodist

* Mon Dec 21 2015 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Sun Oct 11 2015 Automatic Build System <autodist@mambasoft.it> 3.13.0-1mamba
- automatic version update by autodist

* Fri Aug 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.0-1mamba
- update to 3.12.0

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.1-1mamba
- update to 3.10.1

* Sun Dec 15 2013 Automatic Build System <autodist@mambasoft.it> 3.9.3-1mamba
- automatic version update by autodist

* Mon Jun 10 2013 Automatic Build System <autodist@mambasoft.it> 3.9.2-1mamba
- automatic version update by autodist

* Wed May 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.1-2mamba
- provide/obsolete claws-mail-plugin-fancy

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Mon May 06 2013 openmamba WebBuild System <webbuild@openmamba.org> 3.9.0-1mamba
- package created by ercolinux using the webbuild interface
